### Method

# Gtk TreeViewColumn set_cell_data_func

#### Declaration [src]

    void
    gtk_tree_view_column_set_cell_data_func (
      GtkTreeViewColumn* tree_column,
      GtkCellRenderer* cell_renderer,
      GtkTreeCellDataFunc func,
      gpointer func_data,
      GDestroyNotify destroy
    )

#### Description [src]

Sets the `GtkTreeCellDataFunc` to use for the column.

This function is used instead of the standard attributes mapping for setting the column value, and should set the value of `tree_column`‘s cell renderer as appropriate. `func` may be `NULL` to remove an older one.

#### Parameters

`cell_renderer` | `GtkCellRenderer`
| A `GtkCellRenderer`.
| The data is owned by the caller of the function.
`func` | `GtkTreeCellDataFunc`
| The `GtkTreeCellDataFunc` to use.
`func_data` | `gpointer`
| The user data for `func`.
`destroy` | `GDestroyNotify`
| The destroy notification for `func_data`.